          SECTION B                                                      FILE EXTRA.B
                                      UNDERSTANDING CP/M
                                      ******************

               When you first switch on your PCW the screen lights up but it is
          obvious that there is no one at home, but put a 'boot' disc for an
          operating system into drive A: and your PCW comes alive.
               Two separate operating systems were supplied with your PCW, one for
          LOCOSCRIPT and the other called CP/M. An operating system is software which
          is loaded into a computer first so as to form a suitable environment in
          which to run other programs. It does all the organising of screen, disc
          drives, memory, keyboard, printer and much more. If operating systems were
          not used, individual programs would have to take care of all this which
          would make programming far more difficult. Let me give you a rather
          imperfect analogy. Consider a cinema. The cinema building and it's
          contents, including the projector represents the operating system whilst
          the film represents the program. The cinema offers an environment in which
          the film may be shown but cinema and film must be compatible. The film must
          be of the correct size, for example, and it's sound system must be
          suitable.
               But you might say, "I have another computer that works without an
          operating system, and what about LOCOSCRIPT; that loads straight in." In
          the first case your other computer probably has it's operating system built
          in which you have never seen because it loads automatically, possibly from
          a ROM (Read Only Memory) chip directly you switch on. In contrast your PCW
          is designed to use any suitable operating system which can be loaded into
          it by disc. You can design one yourself if you have the knowledge and
          application, and that is what the clever guys at LOCOMOTIVE SOFTWARE have
          done. For technical or political reasons they have designed an operating
          system for LOCOSCRIPT which is different from CP/M but uses many common
          features such as disc formats. I'm sure you wish, as I do, that they'd
          stayed with CP/M. It would have made the PCW user's life much easier. Of
          course, if you designed another system you, like LOCOMOTIVE, would also
          have to write compatible software.
               If you put a LOCOSCRIPT boot disc into the A: drive in CP/M and
          command DIR you will see the notice 'System files exist.' and if you now
          command DIRSYS you will see several file name listed. The file named
          J20LOCO.EMS or J228LOCO.EMS, depending on whether you are using LOCO1 or
          LOCO2, is the system file. Try transferring this file alone to a blank disc
          and booting, then try adding the other 'hidden' files one by one to see
          what is the function of each file. When you put a LOCO boot disc in the
          drive, the .EMS file boots first then calls in the others to make
          LOCOSCRIPT fully functional. You can make a similar auto-loading disc  with
          CP/M as is described in a later file in this section.
               An operating system has it's roots in the chip which forms the CPU
          (Central Processing Unit) of the computer and in the case of the PCW it is
          the Z80. The CP/M operating system was originally designed for the
          INTEL 8080 chip and was updated several times until the Z80 made by ZILOG
          came on the scene .The Z80 was more powerful and CP/M continued to improve
          until it came to version 3.0 or as it is widely known CP/M PLUS, which is a
          very good product and does not deserve the bad name it is sometimes given,
          a throwback to some earlier versions. CP/M is believed to stand for
          Control Program and Monitor. As you may know, the PCW is an 8-bit machine.
          When the IBM introduced their 16 bit range, now known together with
          compatibles as the PC,(Personal Computer), development continued and CP/M
          grew into DOS. Even today many of the commands for the DOS system are the
          same as CP/M. Having learned how to use CP/M PLUS you would have little
          difficulty in swinging over to DOS.
               I hope that this brief introduction may interest you enough to want to
          learn more about operating systems in general and CP/M in particular.

          End of file EXTRA.B
