          SECTION H                                              FILE INTRO.H
                                THE BASIC KEYBOARD
                                ******************

          THE PCW 8000 BASIC KEYBOARD  It is not my intention here to show you 
          ===========================  how to use the keyboard; I expect you 
          know how to do that already, whether at 80 words per minute or 
          search and peck with two fingers like me. However, the keyboard 
          works differently in LOCOSCRIPT, CP/M and BASIC and I want to draw 
          your attention to aspects of the keyboard when in MALLARD BASIC 
          configuration which may not be immediately apparent.
              Much of the keyboard operates in the same way as a standard 
          QWERTY typewriter keyboard. We see the standard arrangement of 
          letters and numbers, and several familiar keys, such as SHIFT, SHIFT 
          LOCK and TAB on the left-hand side and SHIFT and RETURN (carriage) 
          at the right-hand side of the standard keys. There are, however, a 
          number of keys which may not be familiar and some of those on the 
          right-hand side which are labelled as dedicated word processor keys, 
          may have a different use in BASIC. Let me now reveal the inner 
          mysteries of the keyboard, starting with an examination of some of 
          the individual keys.
              The ALT and EXTRA keys are used, with character keys (numbers, 
          letters etc.) in the same way as the SHIFT key to produce still more 
          characters, and these are further enhanced by combining SHIFT+ALT. 
          These extra characters are showh in the BASIC program which follows 
          this file.
          ALT  In addition to producing these extra characters the ALT key    
          ===  doubles as the CONTROL key found on the keyboard of many other 
          computers. It can be used with some letter keys to generate CONTROL 
          CODES which instruct the computer in various actions. On the PCW 
          keyboard most of the codes useful to BASIC have been duplicated by a 
          single dedicated key, which makes operation a lot easier. The table 
          below shows a shortlist of codes and the dedicated keys.

          KEY COMBINATION/ CODE /  DEDICATED KEY      /     ACTION 
          ===================================================================

          ALT+A / CONTROL A / Left cursor (arrow) key /moves cursor left; or
                                                      /copies previous line
          ALT+F / CONTROL F / Right cursor (arrow)key /moves cursor right
          ALT+C / CONTROL C / STOP                    /stops program 
          ALT+I / CONTROL I / TAB                     /jumps cursor to right
          ALT+G / CONTROL G / DEL|                    /deletes to right 
          ALT+U / CONTROL U / CUT                     /deletes to end of line
          ALT+M / CONTROL M / RETURN                  /Carriage return
          ALT+V / CONTROL V / +                       /insert/overstrike edit
          ALT+S / CONTROL S / f5                      /control screen 
                                                       scrolling  
          ====================================================================

          Control codes are used in CP/M and their obvious use in BASIC is 
          minimal because one would normally use the dedicated keys.   I 
          introduce them here simply to illustrate that the CONTROL key 
          thatyou may find mentioned in magazines or books is labelled ALT on 
          the PCW. If you are interested, look up CONTROL CHARACTERS in the 
          index of your manual.

          [+] Key (immediate left of space bar)  This key toggles between the 
          ===================================  insert and overstrike method of 
          adding characters during editing. It also changes the parameters of 
          printing. (See PTR key)

          [-] Key (immediate right of space bar)  Used with [+] key and PTR 
          key
          ====================================

          PTR (Printer)  When pressed this key displays the current printer 
          =============  status in a line along the bottom of the screen. It 
          can be altered by using the cursor keys to highlight the option to 
          be changed then pressing [+] or [-] keys as required. Pressing the 
          [+] key when the RESET is highlighted will cause all printer 
          parameters to return to their standard (default) condition, but be 
          careful, because this will affect parameters not shown on the line, 
          such as paper length, italic etc.
              If this key is pressed whilst the printer is operating, the 
          printer will stop. This is good to know if the printer is chewing up 
          the paper !

          EXIT  Pressing the EXIT key clears the printer status line from 
          ======  the screen , and if appropriate, starts or restarts the 
          printer. 
              Also like the ALT key, the EXIT key has another name on most 
          other computers, where it would be called the ESCAPE key, although 
          it doesn't work quite the same as an ESC key in MALLARD BASIC.

          FUNCTION KEYS f1 to f8  These have no immediate use in BASIC except 
          ======================  for f5, which controls screen scrolling 
          (CONTROL S). Because of this they are useful keys to make into 
          dedicated keys for common BASIC commands. This is discussed in the 
          very last section of the course.

          CAN,COPY,PASTE,PAGE,PARA,EOL,CHAR  Not used
          ============================================

          FIND Press twice to send the cursor to the end of a line whilst
          ==== editing

          CUT  Delete to end of line during editing.( Two presses ).
          ===

          ENTER  Same as RETURN
          =====

          ARROW KEYS  Cursor control
          ==========

          SPECIAL KEY COMBINATIONS 
          ==========================

          1) ALT + RELAY    Pressing these two keys together changes a group 
                              of keys at the righthand side, including the
                              arrow keys, to a numeric keypad. Pressing 
                              ALT+RELAY again returns to normal
          2) ALT + ENTER    Pressing these two keys together locks the 
                              letters into capitals, but retains the numbers.
          3) SHIFT + EXTRA + EXIT ....  BE CAREFUL  This resets the computer. 

          End of file INTRO.H                          
 SHIFT + EXTRA + EXIT ....  BE CAREFUL  This resets the computer.