2000 REM-Start of MORE.BAS
2010 filename$="MORE"
2040 DEF FN posn$(x,y)=CHR$(27)+"Y"+CHR$(32+y)+CHR$(32+x): REM position cursor
2050 PRINT cls$
2060 PRINT FN posn$(30,1) " M O R E  on  M A L L A R D   "
2070 PRINT FN posn$(15,3) " A Further Look at MALLARD BASIC for the PCW8256 & PCW8512"
2080 PRINT FN posn$(20,6)" a) Introduction to this section "
2090 PRINT FN posn$(20,7)" b) Definitions and use of more keywords "
2100 PRINT FN posn$(20,8)" c) Copying programs from books and magazines "
2110 PRINT FN posn$(20,9)" d) Debugging programs "
2120 PRINT FN posn$(20,10)" e) Error messages listed, with comments "
2130 PRINT FN posn$(20,11)" f) Advanced editing "
2140 PRINT FN posn$(20,12)" g) Printing from within BASIC "
2150 PRINT FN posn$(20,13)" h) Decoding and understanding BASIC programs "
2160 PRINT FN posn$(20,14)" i) Writing programs; what to write and how to start "
2170 PRINT FN posn$(20,15)" j) Writing games "
2180 PRINT FN posn$(20,16)" k) Commentary on BASTUTOR "
2190 PRINT FN posn$(20,17)" l) INDEX "
2200 PRINT FN posn$(20,18)" m) Return to Main Menu "
2210 PRINT rvson$ FN posn$(15,26) SPC(55) rvsoff$
2220 PRINT rvson$ FN posn$(15,27)"  Please press the letter of the section you require   " rvsoff$
2230 answer$=INKEY$ 
2235 answer$=UPPER$(answer$)
2240 IF answer$ = "" THEN 2230
2250 code = INSTR(1,"ABCDEFGHIJKLM",answer$)
2260 IF code = 0 THEN GOTO 2240
2270 ON code GOTO 3000,4000,5000,6000,7000,8000,9000,10000,11000,12000,13000,14000,15000
3000 title$="          Introduction to this section            "
3010 text$=" MORE.A "
3020 GOSUB 20000
3030 ON code GOTO 4000,4000,3020,3020,2050,2050
4000 title$="       Definitions and use of more keywords       "
4010 text$=" MORE.B "
4020 GOSUB 20000
4030 ON code GOTO 4100,4100,4020,4020,2050,2050
4100 PRINT cls$
4110 PRINT "Demonstration of the use of some keywords discussed in MORE.B"
4120 PRINT "*************************************************************"
4130 PRINT
4140 PRINT " Comparison of the use of  CINT, CSNG, and CDBL and UNT"
4150 PRINT:INPUT "Please type in any number, integer, decimal or minus        ", num
4160 PRINT:IF num<-32768! OR num>32767 THEN PRINT "CINT ...Sorry, number out of range for CINT (range -32768...+32767)":GOTO 4180
4170 PRINT:PRINT "CINT(" num ") = "CINT(num)
4180 PRINT:PRINT "CSNG(" num ") = "CSNG(num)
4190 PRINT:PRINT "CDBL(" num ") = "CDBL(num)
4200 PRINT:IF num<-32768! OR num>65535! THEN PRINT"UNT ...Sorry, number out or range for UNT (range -32768....+65535)": GOTO 4220
4210 PRINT "UNT(" num ") = "UNT(num) ;: IF num >32767 THEN PRINT ".....(" num "= 65536  "UNT(num)")" 
4220 PRINT:PRINT:INPUT "Do you wish to input another number?  y/n       ",n$
4230 code=INSTR(1,"yYnN",LEFT$(n$,1))
4240 ON code GOTO 4150,4150,4260,4260
4250 IF code=0 THEN PRINT "Please type y or n": GOTO 4220
4260 INPUT "Would you like to see the listing of the above?  y/n     ", l$
4270 code=INSTR(1,"yYnN",LEFT$(l$,1))
4280 IF code =0 THEN PRINT "Please type y or n)": GOTO 4260
4290 ON code GOTO 4300,4300,4330,4330
4300 PRINT cls$;" To continue use GOTO 4330, to recap use GOTO 4100
4310 PRINT "========================================================================"
4320 LIST 4140-4320
4330 PRINT cls$:PRINT "******* Demonstration of OPTION TAB and OPTION NOT TAB *******"
4340 PRINT:PRINT "Using OPTION NOT TAB":PRINT
4350 '
4360 OPTION NOT TAB: REM ***** command *****
4370 PRINT "			This is LINE 4370":REM space is made up of tabs			
4380 PRINT "                    Line 4380" : REM spaces put in with space bar.
4390 '
4400 OPTION TAB:      REM ***** command *****
4410 PRINT:PRINT "Using OPTION TAB ... (default)":PRINT
4420 PRINT "			This is line 4420":REM space is made up of tabs			
4430 PRINT "                    Line 4430" : REM spaces put in with space bar.
4440 PRINT:PRINT " The listing below is of the above; note how 'OPTION NOT TAB' suppresses                   the tab space in line 4370 ; to continue, use GOTO 4470":PRINT
4450 PRINT "======================================================================"
4460 LIST 4330-4430
4470 PRINT cls$:PRINT "Making spaces with SPACE$ and SPC... SPACE$ makes a string of spaces, whilst"
4480 PRINT "SPC makes a number of spaces- this can make a difference in layout"
4490 PRINT:PRINT
4500 PRINT "SPC is used to specify a number of spaces..........e.g SPC(50)" SPC(50) 
4510 PRINT "SPACE$ on the other hand makes a string of spaces  e.g SPACE$(50)" SPACE$(50)
4520 PRINT "SPC and SPACE$ also works with a variable e.g SPC(a) or SPACE$(a)":PRINT 
4530 INPUT " Put in a number, say between 0 (min) and 255 (max possible)        ",a
4540 PRINT
4550 PRINT "This is how    SPC("a")"  SPC(a) "is presented"
4560 PRINT "This is how SPACE$("a")"  SPACE$(a) "is presented"
4570 INPUT " Do you want to try another number .. y/n....... ",b$
4580 code=INSTR(1,"yYnN",LEFT$(b$,1))
4590 IF code =0 THEN PRINT "Please type y or n": GOTO 4570
4600 ON code GOTO 4530,4530,4610,4610
4610 INPUT "Do you want to see the listing ? y/n     ", c$
4620 code = INSTR(1,"yYnN",LEFT$(c$,1))
4630 IF code=0 THEN PRINT "Please type y or n": GOTO 4610
4640 ON code GOTO 4650,4650,4680,4680
4650 PRINT cls$" To continue use GOTO 4680, to recap use GOTO 4470
4660 PRINT "========================================================================="
4670 LIST 4470-4670 :REM *** Can you see how SPC and SPACE$ are similar yet differ? ***
4680 PRINT cls$"Demonstration of the function STRIP$"
4690 PRINT "************************************"
4700 PRINT "The ASCII character set covers 128 characters and codes, numbered from 0 to 127"
4710 PRINT "which covers numbers, upper and lower case alphabet and other most useful characters."
4720 PRINT "Other systems, including your computer can make use of 256 characters and codes"
4730 PRINT "numbered from 0 to 255. (See p.113 of your CP/M manual).
4740 PRINT:PRINT " STRIP$ makes bit 7 of all bytes zero, effectively putting all characters "
4750 PRINT "within the standard ASCII range. It is mainly used for communication between "
4760 PRINT "systems to ensure compatibility. 
4770 PRINT:PRINT " When asked, type in a string of characters from the keyboard; numbers,"
4780 PRINT "letters, but include some off-beat ones using the [ALT] or [EXTRA] keys."
4790 PRINT " You will find that STRIP$ will alter all characters outside the ASCII range "
4800 PRINT "and they will print as a character 128 places down in the table. "
4810 PRINT " Standard ASCII characters from 0 to 127 are unaltered. CHECK IT OUT !!!!"
4820 PRINT:INPUT " type some characters as suggested above, say about six .      ",char$
4830 PRINT:PRINT "You typed in          '"char$  "'"
4840 PRINT "STRIP$ changed it to  '" STRIP$(char$)"',    characters ALL within the ASCII range"
4850 PRINT:INPUT "Would you like to try another string ?  y/n       ",d$
4860 code = INSTR(1,"yYnN",LEFT$(d$,1))
4870 IF code= 0 THEN PRINT "Please type y or n ": GOTO 4850
4880 ON code GOTO 4820,4820,4900,4900
4900 PRINT cls$" Differences between 'PRINT' and 'WRITE'
4901 PRINT     "***************************************"
4902 PRINT:PRINT "Please type a string; a word,a sentence,numbers, anything "
4903 WRITE :LINE INPUT char$: REM * Note use of LINE INPUT in case comma etc. used.  
4904 PRINT:PRINT " Using PRINT.....  " char$
4905 WRITE:WRITE "Using WRITE.....  "; char$: REM note semi-colon or comma needed; string      displayed in quote marks.
4912 PRINT:PRINT "Please type a number e.g 5.678"
4913 WRITE : INPUT num
4914 PRINT:PRINT " Using PRINT.....  " num
4915 WRITE:WRITE "Using WRITE.....  ", num : REM * numbers and numeric variables are           treated same as 'PRINT'
4916 INPUT "Do you want to try other inputs ? y/n       ", n$
4917 code = INSTR(1,"yYnN",LEFT$(n$,1))
4918 IF code=0 THEN PRINT" Please type y or n ": GOTO 4916
4919 ON code GOTO 4902,4902,4920,4920
4920 INPUT "Do you want to see the listing for the above ?...  y/n       ", x$      
4921 code = INSTR(1,"yYnN",LEFT$(x$,1))
4922 IF code = 0 THEN PRINT "please type y or n ":GOTO 4920
4923 ON code GOTO 4926,4926,4950,4950
4926 LIST 4900-4960
4950 PRINT cls$; " ****** to continue use GOTO 5000, to recap use GOTO 4900 ******
4960 PRINT "========================================================================"
4970 END
5000 title$="    Copying programs from books and magazines     "
5010 text$=" MORE.C "
5020 GOSUB 20000
5030 ON code GOTO 6000,6000,5020,5020,2050,2050
6000 title$="                Debugging programs                "
6010 text$=" MORE.D "
6020 GOSUB 20000
6030 ON code GOTO 7000,7000,6020,6020,2050,2050
7000 title$="       Error messages listed, with comments       "
7010 text$=" MORE.E "
7020 GOSUB 20000
7030 ON code GOTO 8000,8000,7020,7020,2050,2050
8000 title$="                Advanced editing                  "
8010 text$=" MORE.F "
8020 GOSUB 20000
8030 ON code GOTO 9000,9000,8020,8020,2050,2050
9000 title$="            Printing from within BASIC            "
9010 text$=" MORE.G "
9020 GOSUB 20000
9030 ON code GOTO 9100,9100,9020,9020,2050,2050
9100 PRINT cls$
9110 PRINT "         DEMONSTRATION OF FILE PRINTING         "
9120 PRINT "         ******************************         "
9130 PRINT:PRINT
9140 PRINT "This is a program to demonstrate the use of making a temporary file in BASIC "
9150 PRINT "in order to save data typed in at the keyboard. The temporary  file.TEMP.$$$ "
9160 PRINT "is made during the running of the program and can then be written to screen "
9170 PRINT "or to the printer as required. LLIST this program and examine in conjunction" 
9180 PRINT "with text file MORE.G " 
9190 '
9300 PRINT: PRINT "press any key to continue"
9310 WHILE INKEY$="": WEND
9320 PRINT cls$
9330 PRINT :PRINT
9340 '****** Gathering the information ******
9350 LINE INPUT "Please type in your name ......", name$
9360 LINE INPUT "Type the first line of your address.....", addr1$
9370 LINE INPUT "Type the second line of your address.....", addr2$
9380 LINE INPUT "Type the third line of your address.....", addr3$
9390 LINE INPUT "Type your postal code.....", post$ 
9400 LINE INPUT "Type your telephone number.....", tel$
9410 '
9500 ' ***** Opening and making the temporary file on drive M: using info. given ******
9510 OPEN "o",1,"m:temp.$$$"
9520 PRINT #1 "Your name is "name$
9530 PRINT #1 "Your address is -  "
9540 PRINT #1 addr1$
9550 PRINT #1 addr2$
9560 PRINT #1 addr3$
9570 PRINT #1 post$
9580 PRINT: PRINT #1 "Telephone number - " tel$
9590 CLOSE 1:  REM ***** file must be closed on completion *****
9600 INPUT "Do you want output to screen or printer ?  Type s or p.......", outp$
9610 outp$=LOWER$(outp$)
9620 IF INSTR("sp",outp$)=0 THEN PRINT "Please select s or p": GOTO 9600
9630 IF outp$="s" THEN GOSUB 9710 ELSE GOSUB 9810
9640 INPUT "Do you want to print the information again ?.....y/n     ", a$
9650 IF a$="y" OR a$="Y" THEN GOTO 9600
9660 INPUT "Do you want to run the whole program again .... y/n    ", b$
9670 IF b$="y" OR b$="Y" THEN 9100 ELSE 9900
9690 '
9700 '***** File output to screen ******
9710 OPEN "i",1,"m:temp.$$$"
9720 WHILE NOT EOF(1)
9730 LINE INPUT #1, line$
9740 PRINT line$:WEND
9750 CLOSE 1 
9760 RETURN
9790 '
9800 '***** File output to printer ******
9810 OPEN "i",1,"m:temp.$$$"
9820 WHILE NOT EOF(1): REM **** Detects end of file *****
9830 LINE INPUT #1, line$
9840 LPRINT line$:WEND
9850 CLOSE 1 
9860 RETURN
9870 REM KILL "m:temp.$$$"
9890 '
9900 GOSUB 40150
9910 ON code GOTO 10000,10000,9000,9000,2050,2050
10000 title$="    Decoding and understanding BASIC programs     "
10010 text$=" MORE.H "
10020 GOSUB 20000
10030 ON code GOTO 11000,11000,10020,10020,2050,2050
11000 title$=" Writing programs; what to write and how to start "
11010 text$=" MORE.I "
11020 GOSUB 20000
11030 ON code GOTO 12000,12000,11020,11020,2050,2050
12000 title$="                  Writing games                   "
12010 text$=" MORE.J "
12020 GOSUB 20000
12030 ON code GOTO 13000,13000,12020,12020,2050,2050
13000 title$="             Commentary on BASTUTOR               "
13010 text$=" MORE.K "
13020 GOSUB 20000
13030 ON code GOTO 14000,14000,13020,13020,2050,2050
14000 title$="                      INDEX                       "
14010 text$=" INDEX. ASC "
14020 GOSUB 20000
14030 ON code GOTO 14500,14500,14020,14020,2050,2050
14500 PRINT:PRINT:PRINT TAB(8) " *** This is the end of MORE; press any key to return to section menu *** "
14510 WHILE INKEY$="":WEND
14520 GOTO 2050 :END
15000 GOTO 90
19990 END
20000 PRINT cls$
20010 PRINT TAB(20) rvson$;  TAB(71) rvsoff$
20020 PRINT TAB(20) rvson$; title$; rvsoff$  
20030 PRINT:PRINT:GOSUB 40050
20040 PRINT cls$ :DISPLAY text$
20050 GOSUB 40150
20060 RETURN
39990 END
title$; rvsoff$  
20030 PRINT:PRINT:GOSUB 40050
20